/* $Id$

This file is part of gldbg
Copyright © 2009-2010  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef GLDECODER_H_
#define GLDECODER_H_

#include "opengl.h"

#ifdef __cplusplus
extern "C" {
#endif

#include "gensrc/gldecoder.struct"

GlDecoder *gldecoder_new(void *, void (*)(void *));
void gldecoder_delete(GlDecoder *);
int gldecoder_decode(GlDecoder *, const char *, unsigned);

#ifdef __cplusplus
}
#endif

#endif
